<?php

namespace 1111\1111\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use 1111\1111\Interfaces\1111RepositoryInterface;

class 1111PublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \1111\1111\Interfaces\1111RepositoryInterface $1111
     *
     * @return type
     */
    public function __construct(1111RepositoryInterface $1111)
    {
        $this->repository = $1111;
        parent::__construct();
    }

    /**
     * Show 1111's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $1111s = $this->repository->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('1111::public.1111.index', compact('1111s'))->render();
    }

    /**
     * Show 1111.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $1111 = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('1111::public.1111.show', compact('1111'))->render();
    }
}
